// Start Importing Abstracts
@use "../../assets/styles/abstracts/index" as *;

.main-container {
  margin-left: auto;
  margin-right: auto;
  height: 100vh;
  
  .main_layout {
    display: flex;
    flex-direction: row;
    height: 100%;
    background-color: #fafafa;



    .sidebar {
      box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
      filter: drop-shadow(rgba(0, 0, 0, 0.16) 0px 1px 4px);
      margin-top: 1px;
      flex: 1;
      border-top-right-radius: 100px;
      min-width: 200px;
      background-color: white;
      // transition: 0.2s ease-in-out;



      .logo-wrapper {
        display: flex;
        flex-direction: row;
        align-items: center;
        width: 100%;
        height: fit-content;
        gap: 5px;
        height: 60px;
        padding: 10px;

        .logo {
          height: 40px;
          width: 80px;
          display: flex;
          align-items: center;
          justify-content: center;
          background: rgba(233, 0, 12, 0.08);
          box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
          backdrop-filter: blur(5px);
          -webkit-backdrop-filter: blur(5px);
          border: 1px solid rgba(233, 0, 12, 0.09);
          border-radius: 5px;
          cursor: pointer;
          img {
            width: 75px;
            height: 35px;
            margin-right: 3px;
          }
          &:hover {
            background: transparent;
            box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
            backdrop-filter: blur(1.4px);
            -webkit-backdrop-filter: blur(1.4px);
            border: 1px solid rgba(233, 0, 12, 0.62);
          }
        }
        .title {
          height: 40px;
          padding: 5px;
          padding-left: 30px;
          font-size: 22px;
          font-weight: 500;
          color: #333;
        }
      }

      .top-sidebar-wrapper {
        // border: 2px solid black;
        // height: 50px;
        // width: 100%;
        // display: flex;
        // flex-direction: row;
        // gap: 5px;
        // justify-content: space-between;
        // align-items: center;
        // padding: 5px;

        // background-color: white;
        // box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;

        .toggle-section {
          color: white;

          .menu-icon-wrapper {
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 10px;
            width: 35px;
            height: 35px;
            border-radius: 7px;
            background-color: #0159a3;
            margin-left: -6px;
            font-size: 25px;
            cursor: pointer;

            &:hover {
              background-color: white;
              border: 2px solid #0159a3;
              color: #0159a3;
            }
          }
        }
      }

      .menu {
        height: 100%;
        display: flex;
        flex-direction: column;
        padding: 20px 0;

        .menu-section-title {
          font-size: 16px;
          color: #9e9e9e;
          font-weight: bold;
          margin: 10px 25px;
        }

        .menu-item {
          border-left: 6px solid #0159a3;
          position: relative;

          .item-info-wrapper {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 0 20px;
            cursor: pointer;
            color: #9e9e9e;
            font-weight: bold;
          }

          .sub-menu {
            list-style: none;
            width: 80%;
            margin: auto;
            position: absolute;
            top: 100%;
            left: 0;
            z-index: 1;

            .sub-menu-item {
              height: 30px;
              font-size: 16px;
              font-weight: bold;
              display: flex;
              flex-direction: row;
              align-items: center;
              padding: 0 20px;
              border-radius: 5px;
              color: #9e9e9e;
              cursor: pointer;

              &:hover {
                background-color: #0159a3;
                color: white;
              }
            }
          }
        }
      }

      .menu-wrapper {
        width: 100%;
        margin-top: 30px;
        overflow-y: scroll;

        &::-webkit-scrollbar {
          display: none;
        }

        .sidebar-menu {
          width: 100%;
          height: 100%;

          span {
            color: #333;
            font-weight: 500;
            font-size: 16px;
          }
          svg {
            font-size: 21px;
            color: #333;
          }
          li {
            div:hover {
              background-color: #e6f4ff;
            }
          }
        }

        .ant-menu-light.ant-menu-root.ant-menu-inline {
          border-inline-end: none;
        }
        .ant-menu .ant-menu-item-group-title {
          font-size: 15px;
          font-weight: 500;
          background-color: transparent !important;
        }
        .ant-menu-item {
          width: 100%;
          margin-inline: 0;
          border-radius: 0px;
          border-left: 3px solid transparent;
          cursor: pointer;
          padding-left: 20px !important;
          &:hover {
            border-left: 4px solid #e9000c;
            border-radius: 3px 0 0 3px;
            background: rgba(233, 0, 12, 0.08);
            backdrop-filter: blur(5px);
            -webkit-backdrop-filter: blur(5px);
          }
        }

        a {
          text-decoration: none;
          color: #333;
        }
        .menu-btns-wrapper {
          width: 93%;
          margin: 17px auto 0 auto;
          display: flex;
          flex-direction: column;
          justify-content: center;
          padding-top: 100px;
          // padding: 5px;
          padding-left: 6px;
          gap: 7px;
        }

        .logout-btn,
        .website-link-btn {
          width: 100%;
          display: flex;
          flex-direction: row;
          gap: 10px;
          padding: 5px;
          cursor: pointer;
          border-radius: 5px;
          border-left: 3px solid transparent;
          background: rgb(180 179 179 / 8%);
          backdrop-filter: blur(5px);
          -webkit-backdrop-filter: blur(5px);
          &:hover {
            border-left: 4px solid #e9000c;
            border-radius: 3px 0 0 3px;
            background: rgba(233, 0, 12, 0.08);
          }

          .logout-icon,
          .website-link-icon {
            width: 25px;
            height: 25px;
            display: flex;
            align-items: center;
            justify-content: center;
            // border: 1px solid black;
            font-size: 18px;
          }
          .logout-title,
          .website-link-title {
            height: 100%;
            width: fit-content;
            display: flex;
            align-items: center;
            justify-content: center;
            color: #333;
            font-weight: 500;
            font-size: 16px;
          }
        }
      }

      :where(.css-dev-only-do-not-override-1drr2mu).ant-menu-light
        .ant-menu-submenu-selected
        > .ant-menu-submenu-title,
      :where(.css-dev-only-do-not-override-1drr2mu).ant-menu-light
        > .ant-menu
        .ant-menu-submenu-selected
        > .ant-menu-submenu-title {
        color: #333;
      }
    }

    // End SidebarStyling //

    .mini-sidebar {
      flex: 0.2;
      background-color: #fff;
      border-radius: 10px 0 0 10px;
      box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
      display: flex;
      padding: 5px;
      flex-direction: column;
      gap: 10px;
      transition: 0.2s ease-in-out;

      .mini-sidebar-logo-wrapper {
        height: 55px;
        width: 55px;
        // border:2px solid black ;
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;

        .logo {
          height: 40px;
          width: 50px;
          display: flex;
          align-items: center;
          justify-content: center;
          background: rgba(233, 0, 12, 0.08);
          box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
          backdrop-filter: blur(5px);
          -webkit-backdrop-filter: blur(5px);
          border: 1px solid rgba(233, 0, 12, 0.09);
          border-radius: 5px;
          cursor: pointer;
          img {
            width: 35px;
            height: 35px;
            margin-right: 3px;
          }
          &:hover {
            background: transparent;
            box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
            backdrop-filter: blur(1.4px);
            -webkit-backdrop-filter: blur(1.4px);
            border: 1px solid rgba(233, 0, 12, 0.62);
          }
        }
      }

      .mini-sidebar-menu {
        height: 100%;
        width: 100%;
        padding: 5px;
        display: flex;
        align-items: center;
        justify-content: center;

        ul {
          height: fit-content;
          list-style: none;
          display: flex;
          flex-direction: column;
          gap: 10px;

          .mini-sidebar-item {
            height: 40px;
            width: 40px;
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 25px;
            color: #333;
            border-radius: 5px;
            cursor: pointer;


            &:hover {
              background: rgba(233, 0, 12, 0.08);
              box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
              backdrop-filter: blur(5px);
              -webkit-backdrop-filter: blur(5px);
              border: 1px solid rgba(233, 0, 12, 0.09);
              color: #e9000c;
            }

            .mini-sidebar-item-icon {
              height: 30px;
              width: fit-content;
            }
          }
        }
      }
    }

    // Start FullPage Styling //
    .full_page_container {
      display: flex;
      flex-direction: column;
      margin-top: 1px;
      flex: 5;
      align-items: center;
      gap: 15px;



      .header {
        height: 50px;
        background-color: #fafafa;
        display: flex;
        flex-direction: row;
        padding: 3px;
        width: 99%;
        align-items: center;
        justify-content: space-between;
        margin-top: 5px;


        .header-search {
          width: 350px;
          padding: 5px 20px;
          height: 100%;
          display: flex;
          flex-direction: row;
          justify-content: center;
          align-items: center;

          .ant-input {
            border-radius: 20px 0 0 20px;
          }
          .ant-input-search-button {
            border-radius: 50px;
            margin-left: -14px;
            background: rgba(10, 36, 114, 1);
            box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
            backdrop-filter: blur(10.2px);
            -webkit-backdrop-filter: blur(10.2px);
            border: 1px solid rgba(233, 0, 12, 0.02);
          }
        }

        .header-widgets {
          width: fit-content;
          height: 100%;
          margin-right: 10px;
          display: flex;
          flex-direction: row;
          align-items: center;
          justify-content: flex-end;
          gap:15px;
          .widgets {
            display: flex;
            flex-direction: row;
            gap: 15px;
            .widget {
              width: 37px;
              height: 37px;
              border-radius: 5px;
              position: relative;
              background-color: #e1e1e169;
              display: flex;
              align-items: center;
              justify-content: center;
              color:#A3A3A3;
              font-size: 22px;

              .badge{
                height: 13px;
                width: 13px;
                border-radius: 50%;
                background-color: #e9000c;
                color: #fff;
                position: absolute;
                top: -3px;
                right: -4px;
                font-size: 10px;
                font-weight: 400;
                display: flex;
                align-items: center;
                justify-content: center;
              }
            }


          }

          .profile-section {
            height: 100%;
            width: 200px;
            gap: 5px;
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: center;
            position: relative;
            .avatar {
              width: 37px;
              height: 37px;
              border-radius: 5px;
              position: relative;
              background-color: #e1e1e169;
              display: flex;
              align-items: center;
              justify-content: center;
              img {
                width: 33px;
                height: 33px;
                border-radius: 5px;
              }
            }
            .user {
              width: 95px;
              height: 100%;
              display: flex;
              flex-direction: column;
              justify-content: center;
              margin-left: 8px;
              .name {
                display: flex;
                align-items: center;
                justify-content: flex-start;
                font-size: 14px;
                font-weight: 500;
                color: #333;
              }
              .role {
                display: flex;
                align-items: center;
                justify-content: flex-start;
                font-size: 13px;
                font-weight: 500;
                color: #333;
                margin-top: -4px;

              }
            }
            .drop-down-chevron {
              padding: 3px;
              color: #e1e1e1;
              .chevron-down {
                font-size: 20px;
              }
            }

            .header-drop-down-menu-wrapper {
              position: absolute;
              height: 80px;
              width: 130px;
              background-color: #fff;
              box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
              top: 54px;
              border-radius: 10px;
              right: -8px;
              display: flex;
              flex-direction: column;
              gap: 5px;
              align-items: center;
              justify-content: center;
              padding: 8px;
              z-index: 1;

              .header-drop-down-menu-item {
                height: 30px;
                display: flex;
                width: 100%;
                flex-direction: row;
                // border: 2px solid black;
                cursor: pointer;
                border-radius: 10px;

                &:hover {
                  /* From https://css.glass */
                  background: rgba(255, 181, 95, 0.41);
                  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
                  backdrop-filter: blur(5px);
                  -webkit-backdrop-filter: blur(5px);
                  border: 1px solid rgba(255, 181, 95, 0.59);
                }

                .icon-wrapper {
                  height: 30px;
                  width: 30px;
                  font-size: 20px;
                  display: flex;
                  align-items: center;
                  justify-content: center;
                  color: #aeacac;
                }
                .item-text {
                  height: 30px;
                  flex: 1;
                  display: flex;
                  align-items: center;
                  justify-content: flex-start;
                  color: #aeacac;
                  font-size: 17px;
                  font-weight: 600;
                }
              }

              .close-drop-down {
                display: none;
              }
            }
          }
        }
      }

      .full_page_wrapper {
        flex: 10;
        height: calc(100vh - 54px);
        width: 97%;
      }

      // End Views Styling //
    }
    // End FullPage Styling //
  }
}
